import { W as WatchlistRepository } from "./watchlist.repository-89QFTKyM.js";
const checkIfFreeEmailDomain = async (email) => {
  const emailDomain = email.split("@")[1].toLowerCase();
  if (!emailDomain)
    return true;
  if (emailDomain === "gmail.com" || emailDomain === "outlook.com")
    return true;
  const watchlistRepository = new WatchlistRepository();
  return !!await watchlistRepository.getFreeEmailDomainInWatchlist(emailDomain);
};
const getFieldIdentifier = (field) => field.identifier || field.label;
export {
  checkIfFreeEmailDomain as c,
  getFieldIdentifier as g
};
